# pyckaxe
An expressive Minecraft utility library revolving around data manipulation and generation.

You maybe be interested in `pyckaxe` if:

- You are a technical/creative player.
- You make adventure maps or minigames.
- You use command/data generators.
- You write your own generators.
- You work on large/complex projects.
- You already know you're interested.

The goal of `pyckaxe` is to provide a flexible suite of development tools for technical Minecraft players:

- A complete hierarchy of **commands** and their subcommands, as well as frequently used **selectors** and **positions** to go along with them.
- A thorough collection of game object and **data tag (NBT)** representations, for things like **blocks**, **items**, and **entities**.
- Auto-completion, argument suggestion, and type validation for all representations.
- Utilities for building datapacks and resources via custom-written generators.

## Checklist
### Commands
- [ ] advancement
- [ ] ban
- [ ] ban_ip
- [ ] banlist
- [ ] bossbar
- [x] clear
- [ ] clone
- [ ] data
- [ ] datapack
- [ ] debug
- [ ] defaultgamemode
- [ ] deop
- [ ] difficulty
- [ ] effect
- [ ] enchant
- [ ] execute
    - [ ] align
    - [ ] anchored
    - [x] as
    - [x] at
    - [ ] facing
    - [x] if/unless block
    - [ ] if/unless blocks
    - [ ] if/unless entity
    - [ ] if/unless score
    - [ ] in
    - [ ] positioned
    - [ ] rotated
    - [x] run
    - [ ] store
- [ ] experience
- [ ] fill
- [ ] function
- [ ] gamemode
- [ ] gamerule
- [ ] give
- [ ] help
- [ ] kick
- [ ] kill
- [ ] list
- [ ] locate
- [ ] me
- [ ] msg
- [ ] op
- [ ] pardon
- [ ] pardon_ip
- [ ] particle
- [ ] playsound
- [ ] publish
- [ ] recipe
- [ ] reload
- [ ] replaceitem
- [ ] save_all
- [ ] save_off
- [ ] save_on
- [x] say
- [ ] scoreboard
- [ ] seed
- [x] setblock
- [ ] setidletimeout
- [ ] setworldspawn
- [ ] spawnpoint
- [ ] spreadplayers
- [ ] stop
- [ ] stopsound
- [ ] summon
- [x] tag
- [ ] team
- [x] teleport
- [ ] tell
- [ ] tellraw
- [x] time
- [ ] title
- [x] tp
- [ ] trigger
- [ ] w
- [ ] weather
- [ ] whitelist
- [ ] worldborder
- [ ] xp
